#
# Conditional build:
%bcond_with	tests	# Twisted tests

%define		module	towncrier
Summary:	Building newsfiles for your project
Summary(pl.UTF-8):	Tworzenie plików z nowościami dla własnego projektu
Name:		python3-%{module}
Version:	24.8.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/towncrier/
Source0:	https://files.pythonhosted.org/packages/source/t/towncrier/%{module}-%{version}.tar.gz
# Source0-md5:	c0fbdf0458671ceadfd17dc16185d4a0
URL:		https://pypi.org/project/towncrier/
BuildRequires:	python3-build
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
%if %{with tests}
BuildRequires:	python3-click
%if "%{_ver_lt %{py3_ver} 3.10}" == "1"
BuildRequires:	python3-importlib_metadata >= 4.6
BuildRequires:	python3-importlib_resources >= 5
%endif
BuildRequires:	python3-jinja2
%if "%{_ver_lt %{py3_ver} 3.11}" == "1"
BuildRequires:	python3-tomli
%endif
BuildRequires:	python3-twisted
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildRequires:	sed >= 4.0
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
towncrier is a utility to produce useful, summarised news files for
your project. Rather than reading the Git history as some newer tools
to produce it, or having one single file which developers all write
to, towncrier reads "news fragments" which contain information useful
to end users.

%description -l pl.UTF-8
towncrier to narzędzie tworzące przydatne, podsumowujące pliki z listą
nowości dla danego projektu. Zamiasst czytania historii Gita, jak
robią niektóre nowsze narzędzia, albo nakazywania wszystkim
programistom pisania do jednego wspólnego pliku, towncrier czyta
"fragmenty nowości", zawierające informacje przydatne dla użytkowników
końcowych.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
trial-3 src/towncrier/test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/towncrier/test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS.rst README.rst
%attr(755,root,root) %{_bindir}/towncrier
%dir %{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}/*.py
%{py3_sitescriptdir}/%{module}/__pycache__
%{py3_sitescriptdir}/%{module}/_settings
%{py3_sitescriptdir}/%{module}/templates
%{py3_sitescriptdir}/towncrier-%{version}.dist-info
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-towncrier.git;a=log;h=master

* Wed May 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 98bbafb
- updated to 24.8.0, now uses stdlib toml under python 3.11+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 82c295c
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 10f8c81
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> e8b657c
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ae15aa4
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 26b4642
- rebuild with python 3.10

* Wed Mar 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 9cac2ee
- updated to 21.9.0
- temporarily added no-tomli patch to avoid tomli dependency

* Wed Dec 08 2021 Jan Rękorajski <baggins@pld-linux.org> 0c65e08
- rel 1

* Sun Nov 28 2021 Jan Rękorajski <baggins@pld-linux.org> ba0ce1a
- new

